################################################################################
# Required Variables
################################################################################

variable "vpc" {
  type        = string
  description = "The name of the VPC to which this asset belongs."
}

################################################################################
# Optional Variables
################################################################################

variable "vpc_id" {
  type        = string
  default     = null
  description = "The ID of the VPC to which this asset belongs. Must be specified if VPC is created in the same Terraform run."
}

################################################################################
# Locals
################################################################################

locals {
  vpc_id = var.vpc_id == null ? data.aws_vpc.scope[0].id : var.vpc_id
}

################################################################################
# Data Sources
################################################################################

data "aws_vpc" "scope" {
  count = var.vpc_id == null ? 1 : 0
  tags = {
    "Name" = var.vpc
  }
}

################################################################################
# Outputs
################################################################################

output "vpc" {
  value = var.vpc
}

output "vpc_id" {
  value = local.vpc_id
}

################################################################################
